# IGListCollectionScrollingTraits Structure Reference

# IGListCollectionScrollingTraits

    struct IGListCollectionScrollingTraits {}

The current scrolling traits of the underlying collection view. The attributes are always equal to their corresponding properties on the underlying collection view.

- `isTracking`

  returns YES if user has touched. may not yet have started dragging.

  #### Declaration

  Objective-C

      _Bool isTracking

  Swift

      var isTracking: Bool

- `isDragging`

  returns YES if user has started scrolling. this may require some time and or distance to move to initiate dragging

  #### Declaration

  Objective-C

      _Bool isDragging

  Swift

      var isDragging: Bool

- `isDecelerating`

  returns YES if user isn’t dragging (touch up) but scroll view is still moving.

  #### Declaration

  Objective-C

      _Bool isDecelerating

  Swift

      var isDecelerating: Bool

© 2019 Instagram. All rights reserved. (Last updated: 2019-11-20)

Generated by jazzy ♪♫ v0.12.0, a Realm project.